# operation.h File Reference

`#include <gcu/macros.h>`
`#include <gcu/object.h>`

Go to the source code of this file.

## Namespaces

namespace | gcp

## Classes

class | gcp::Operation
class | gcp::AddOperation
class | gcp::DeleteOperation
class | gcp::ModifyOperation

## Enumerations

enum | gcp::OperationType { gcp::GCP_ADD_OPERATION, gcp::GCP_DELETE_OPERATION, gcp::GCP_MODIFY_OPERATION }

## Detailed Description

Definition in file operation.h.